Create a theme profile
POST/v2/competitions/{competitionId}/theme-profiles
POST
/v2/competitions/{competitionId}/theme-profiles
const url = 'https://api.ligr.live/rest/v2/competitions/1/theme-profiles';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"themeId":1,"name":"example","defaultControlRoomId":1,"themeVariableValues":[{"variableId":"example","value":"example"}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.ligr.live/rest/v2/competitions/1/theme-profiles \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "themeId": 1, "name": "example", "defaultControlRoomId": 1, "themeVariableValues": [ { "variableId": "example", "value": "example" } ] }'Creates a theme profile. The first profile becomes the competition default. The theme must have an active version and support the competition sport.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”competitionId
required
Entity identifier
integer format: int32
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
Assign an organization-owned theme to a competition. The default control room must belong to this organization and use the same theme.
object
themeId
required
Entity identifier
integer format: int32
name
Default Entity name
string
defaultControlRoomId
Entity identifier
integer format: int32
Examplegenerated
{ "themeId": 1, "name": "example", "defaultControlRoomId": 1, "themeVariableValues": [ { "variableId": "example", "value": "example" } ]}Responses
Section titled “Responses”Created
Media typeapplication/json
object
id
required
Entity identifier
integer format: int32
competitionId
required
Entity identifier
integer format: int32
themeId
required
Entity identifier
integer format: int32
name
required
string
defaultControlRoomId
required
integer format: int32
isDefault
required
boolean
Examplegenerated
{ "id": 1, "competitionId": 1, "themeId": 1, "name": "example", "defaultControlRoomId": 1, "isDefault": true, "themeVariableValues": [ { "variableId": "example", "value": "example" } ]}Request is invalid
Media typeapplication/json
object
message
required
string
details
required
object
key
additional properties
Examplegenerated
{ "message": "example", "details": { "additionalProperty": "example" }}Missing or invalid api key
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Api key provides insufficient access for the request
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Competition, theme, control room, or profile not found
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Api key has made too many requests
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}An unexpected error has occured. If problems persist please contact support
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}